Skip to main content
POST
List Notifications

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null
Required range: 1 <= x <= 1000
page_size
integer | null
Required range: 1 <= x <= 1000
offset
integer | null
Required range: 0 <= x <= 10000
page
integer | null
Required range: x >= 1
cursor
string | null
include_total
boolean
default:false

Body

application/json

Request model for listing notifications.

notification_type
enum<string> | null

Filter by notification type

Available options:
pipeline_success,
pipeline_failure,
feature_extraction_success,
feature_extraction_failure,
system_alert,
billing_alert,
quota_alert,
audit_alert,
maintenance_alert,
custom,
onboarding_nudge,
engagement_nudge,
feature_tip
priority
enum<string> | null

Filter by priority

Available options:
low,
medium,
high,
critical
read
boolean | null

Filter by read status

user_id
string | null

Filter by user ID

Response

Successful Response

Response model for listing notifications.

results
Notification · object[]
required

List of notifications

pagination
Pagination · object
required

Pagination information

total
integer
required

Total number of notifications